Subject: Re: bug#38164: quit-restore-window doesn't restore point in man

From: Juri Linkov <[email-masked]>
Date: Mon, 18 Nov 2019 23:21:27 +0200

>> Is it possible to not restore the previous window configuration
>> when quitting the minibuffer?
>
> No.  It's a very elaborate scheme in read_minibuf triggered by
>
>   record_unwind_protect (restore_buffer, Fcurrent_buffer ());

Why should quitting the minibuffer restore the previous window configuration?

Sometimes to get help on a previously run M-x command, typing

  M-x M-p C-h f RET

displays the function Help window about the previous command. Then clicking
on the link with the source file name in the Help buffer opens its source code.
This creates a nice window layout with the Help window and the source window.
But quitting the minibuffer destroys this nice layout, and returns some
old obsolete layout.  Why should it do this?